> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# ブロッキングルールを確認

> スキャンで検出された問題がブロッキングルールに違反しているか確認します



## OpenAPI

````yaml /ja/api-reference/openapi.json get /scan/{scan_id}/check_blocking_rules
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}/check_blocking_rules:
    get:
      tags:
        - スキャン
        - ポリシー
      summary: ブロッキングルールを確認
      description: スキャンで検出された問題がブロッキングルールに違反しているか確認します
      operationId: checkBlockingRules
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: スキャンID
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: ページネーションのページ番号
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 50
          description: 1ページあたりの結果件数
      responses:
        '200':
          description: ブロッキングルールの確認が完了しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  block:
                    type: boolean
                    description: いずれかのルールによってスキャンがブロックされているかどうか
                  blocking_issues:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        triggered_by_rules:
                          type: array
                          items:
                            type: string
                  stats:
                    type: object
                    properties:
                      total_issues:
                        type: integer
                      blocked_issues:
                        type: integer
                  page:
                    type: integer
                  total_pages:
                    type: integer
        '403':
          description: 権限がありません
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
        '404':
          description: スキャンが見つかりません
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: SAST scan not found
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````